function jsProductInfo(){

};

jsProductInfo.LoadProductInfoUI=function(){
    var arrString=[];
    arrString.push('<table id="tbProInfoContanier" cellpadding="0" cellspacing="0">');
    arrString.push("<tr>");
    arrString.push("<td>");
    arrString.push('<table id="tbProductInfo" style=" display:none;"></table>');
    arrString.push('<table id="tbProDetailInfo" style="display:none;"></table>');
    arrString.push("</td>");
    arrString.push('<td><table id="tbProPicture" cellpadding="0" cellspacing="0"  border="0"  class="formtable">');
    arrString.push("<tr><td></td><td>");
    arrString.push('<input id="btnAdd" type="button" class="btn" value="添加" />');
    arrString.push('<input id="btnCut" type="button" class="btn" value="截屏" />');
    arrString.push('<input id="btnPrev" type="button" class="btn" value="上一张" />');
    arrString.push('<input id="btnNext" type="button" class="btn" value="下一张" />');                                
    arrString.push("</td></tr>");
    arrString.push("<tr><td>产品图片</td><td></td></tr>");
    arrString.push("<tr><td>图片描述</td><td>");
    arrString.push('<textarea id="txtProPicturRemark" cols="20" rows="6"></textarea></td></tr>');
    arrString.push("</table></td></tr>");
    arrString.push("</table>");
    document.getElementById("div-ProductInfo").innerHTML=arrString.join("");  
};

/*产品资料主列表*/
jsProductInfo.ProductInfoGrid=null;
jsProductInfo.LoadProductInfoList=function(){   
    var w = $("#middleContanier").width() -320;
    var gh = 95;
    var serviceOption =
    {
        height: gh,
        width: w,
        colModel:[
            {display: '编号', name: 'ID', width: (w * 0.1), sortable: false, align: 'left' },
            { display: '名称', name: 'Name', width: (w * 0.2), sortable: false, align: 'left' }
        ],
        title:"产品资料",
        customFunction: jsProductInfo.ShowProductInfoPage,
        rowhandler: jsProductInfo.ProductInfoDoubleClick,
         singleselected: true,
         selectedonclick:true,
         rp: 10,
         rowbinddata:true,
         sortname: 'ID',
         sortorder: 'desc'
    };
    jsProductInfo.ProductInfoGrid = $("#tbProductInfo").ikegrid(serviceOption);
    serviceOption = null;
};

jsProductInfo.ShowProductInfoPage=function(){
        return null;
};

jsProductInfo.ProductInfoDoubleClick=function(){
    
};

/*产品资料明细列表*/
jsProductInfo.ProductDetailInfoGrid=null;
jsProductInfo.LoadProductDetailInfoList=function(){   
    var w = $("#middleContanier").width() -320;
    var gh = 95;
    var serviceOption =
    {
        height: gh,
        width: w,
        colModel:[
            {display: '属性', name: 'ID', width: (w * 0.1), sortable: false, align: 'left' },
            { display: '值', name: 'Name', width: (w * 0.2), sortable: false, align: 'left' }
        ],
        title:"产品属性值",
        customFunction: jsProductInfo.ShowProductInfoPage,
        rowhandler: jsProductInfo.ProductInfoDoubleClick,
         singleselected: true,
         selectedonclick:true,
         rp: 10,
         rowbinddata:true,
         sortname: 'ID',
         sortorder: 'desc'
    };
    jsProductInfo.ProductDetailInfoGrid = $("#tbProDetailInfo").ikegrid(serviceOption);
    serviceOption = null;
};

/*单击服务登记便签时操作*/
jsProductInfo.LoadProductInfoTab=function()
{   
    jsCallMiddlePanel.listNo="ProductInfo";     
     jsProductInfo.LoadProductInfoList();/*产品资料主列表*/
    jsProductInfo.LoadProductDetailInfoList();/*产品资料明细列表*/
}